% !TeX spellcheck = en_GB

\subsubsection{Support vector machine / classifier}
\label{sssec:model_svc}
\gls{SVM}s are probably one of the most used machine learning models and can be applied to classification and regression tasks. For classification tasks \gls{SVC}s are used. The simplified idea of this model is to find a line which bests separates the features of the classes. Based on this line, a new instance can be classified by checking on which side of the line the data points of this instance are.\\

More in-depth, the \gls{SVM} algorithm tries to separate the features by a plane, instead of a line, called hyperplane if there are more than two features. The maximum margin (width) of this plane is limited by the outer data points of each class, called support vectors. Depending on the kernel, the hyperplane is based on a straight line for linear kernels, but can also use non-linear kernels to create various forms separating the data points, always with the goal of having a maximum width separation between the features. Important to note is, that the basic approach is a binary classification, meaning the \gls{SVC} model can only decide if an instance is more likely to belong to one or another class, also called 1-vs-1 or 1-vs-all comparison. For more then two classes multiple \gls{SVC} are required, comparing the likelihood of an instance belonging to a class with each other.\footnote{\url{https://www.geeksforgeeks.org/support-vector-machine-algorithm/}}\\

If a new instance has to be predicted, the instance is mapped on the feature space for each 1-vs-1 or 1-vs-all class. Based on the position of the data points and the distance to the hyperplane, a confidence score is calculated, with the class of the highest confidence score being assigned to the instance.\footnote{\url{https://www.analyticsvidhya.com/blog/2021/10/support-vector-machinessvm-a-complete-guide-for-beginners/}}



\subsubsection{Gradient Boosting Classifier}
\label{ssec:gbc_model}
The basic approach behind \gls{GBC} is the usage of ensemble learning, meaning the combination of multiple, not perfect, predictors to achieve a very good prediction of the data. The basic layout can be seen like a tree, with each branch being a sequence of predictors. A predictor after a previous predictor is focused on removing the previous mistakes, gradually improving the accuracy of the model, called boosting principle.\footnote{\url{https://towardsdatascience.com/gradient-boosting-classification-explained-through-python-60cc980eeb3d}} The prediction itself happens using gradient descent optimization, an optimization algorithm where the lowest point of a cost function is determined to find the minimum point (point of convergence), which resembles the optimal set of parameters. This gradient is calculated for each feature, applying a weight to them. Using the weight and the features value, the belonging class can be calculated.\footnote{\url{https://www.analyticsvidhya.com/blog/2020/10/how-does-the-gradient-descent-algorithm-work-in-machine-learning/}}


\subsubsection{Gaussian Naive Bayes}
\gls{GNB} is a classifier using probabilities and gaussian distribution. The basic assumption is that each feature has a normal distribution and each feature contains enough information to predict the instances class. It is based on \gls{NB} using Bayes theorem, see equation \ref{eq:bayes}.\footnote{\url{https://en.wikipedia.org/wiki/Naive_Bayes_classifier}}

\begin{equation}
	p(C_k | x) = \frac{p(C_k) p(X | C_k)}{p(x)} \leftrightarrow posterior = \frac{prior \times likelihood}{evidence}
	\label{eq:bayes}
\end{equation}

The equation calculates the probability of the instance k belonging to class $C_k$ based on the probability of the class occurring $p(C_k)$ times the probability.

For predicting a new instance the probability for each feature belonging to each class is calculated and the class with the highest probability is selected. Those features itself are not set into any relation, meaning they are seen as independent from each other.\footnote{\url{https://iq.opengenus.org/gaussian-naive-bayes/}}

Because features are evaluated independently from each other it is advisable to remove insignificant features from the dataset.\footnote{\url{https://iopscience.iop.org/article/10.1088/1742-6596/1511/1/012001}}


\subsubsection{Linear discriminant analysis}
\label{sssec:model_lda}
\gls{LDA} works in two steps, first by transforming the data points, then predicting the class of new instances. The transforming of data points is explained in section \ref{ssec:feature_sel_lda}.\\
For a new instance, the values of its features are projected onto the new discriminant axes, derived during fitting and transforming the data points. Based on the position of the new data points the label is calculated. If the new projection can not be clearly assigned to a label the decision is done using Bayes theorem where, based on the observation, the most likely label is choosen (highest posterior probability).\footnote{\url{https://www.analyticsvidhya.com/blog/2021/08/a-brief-introduction-to-linear-discriminant-analysis/}}

